[Haskell-cafe] Re: [Haskell] ANNOUNCE: OpenGLRaw

Felipe Lessa felipe.lessa at gmail.com
Thu Jun 11 14:14:45 EDT 2009

On Thu, Jun 11, 2009 at 07:55:23PM +0200, Krzysztof Skrzętnicki wrote:
> On my machine I get:
> $ glxinfo | grep -i version
> server glx version string: 1.4
> client glx version string: 1.4
> GLX version: 1.3
> OpenGL version string: 3.0.0 NVIDIA 180.51
> OpenGL shading language version string: 1.30 NVIDIA via Cg compiler
> So it doesn't appear to be true.

So, open source Linux drivers won't have OpenGL 3.0 or 3.1 for at
least some months :).  I don't know the internals of the graphics
subsystem, but AFAIK the open source drivers use Mesa to
implement the OpenGL frontend, and the current version 7.5rc3
doesn't support it yet.

FWIW, I'm using the Intel driver, version 2.7.1.


More information about the Haskell-Cafe mailing list